#
## $URL: https://repos.ser.asu.edu/svn/lroc/lunaserv/tags/release_20160316/lunaserv/wms_error.rb $
## 
## Copyright (C) 2013 by Arizona State University and Mark Robinson.
## All rights reserved.
##
## This file has been released under the modified BSD license.
## See COPYING in the distribution package for details.
##
## Author: Nick Estes <nme@ser.asu.edu>
##
## $Author: nme $
##   $Date: 2013-05-16 13:48:12 -0700 (Thu, 16 May 2013) $
##    $Rev: 11270 $
##
#
module Lunaserv
  class WmsError < Exception
    attr_reader :wms_code

    def initialize(message, wms_code="WmsError")
      @wms_code = wms_code
      super(message)
    end
  end

end
