#
## $URL: https://repos.ser.asu.edu/svn/lroc/lunaserv/tags/release_20160316/lunaserv/auth/static.rb $
## 
## Copyright (C) 2013 by Arizona State University and Mark Robinson.
## All rights reserved.
##
## This file has been released under the modified BSD license.
## See COPYING in the distribution package for details.
##
## Author: Nick Estes <nme@ser.asu.edu>
##
## $Author: nme $
##   $Date: 2013-05-16 13:48:12 -0700 (Thu, 16 May 2013) $
##    $Rev: 11270 $
##
#
module Lunaserv
  module Auth
    class Static
      attr_reader :name

      def initialize(name, config)
	@name = name
	@config = config
	
	raise "username must hold the username to authenticate with" unless @config[:username]
	raise "password must hold the username to authenticate with" unless @config[:password]
      end

      def auth(username, password)
	username == @config[:username] and password == @config[:password]
      end
    end
  end
end
